using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DiagramUI
{
    public partial class FormMultilibrary : Form, IUpdatableForm
    {

        private IObjectLabel label;
        private MultiLibraryObject obj;
        private FormMultilibrary()
        {
            InitializeComponent();
        }

        public FormMultilibrary(IObjectLabel label)
        {
            InitializeComponent();
            ResourceService.Resources.LoadControlResources(this);
            this.label = label;
            obj = label.Object as MultiLibraryObject;
            fill();
            Text = label.Name;
        }

        #region IUpdatableForm Members

        void IUpdatableForm.UpdateFormUI()
        {
            Text = label.Name;
        }

        #endregion

        private void openToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (openFileDialogDLL.ShowDialog(this) != DialogResult.OK)
            {
                return;
            }
            obj.Add(openFileDialogDLL.FileName);
            fill();
            
        }

        private void fill()
        {
            listViewLibraries.Items.Clear();
            if (obj.Libraries != null)
            {
                string[] s = obj.Libraries;
                foreach (string str in s)
                {
                    listViewLibraries.Items.Add(str);
                }
            }
            if (obj.Factory != null)
            {
                string[] s = obj.Factory.Names;
                if (s != null)
                {
                    DefaultForm.FillCombo(comboBoxName, s);
                }
            }
            if (obj.Name != null)
            {
                DefaultForm.SelectCombo(comboBoxName, obj.Name);
            }
        }

        private void buttonAccept_Click(object sender, EventArgs e)
        {
            obj.Name = comboBoxName.SelectedItem + "";
        }

        private void toolStripButtonOpen_Click(object sender, EventArgs e)
        {
            openToolStripMenuItem_Click(sender, e);
        }
       
    }
}